<%
'-------------------------- Main functions --------------------------------
function calculateUps(serverAddress, licenceNumber, userID, password, pickupType, packageType, zipFrom, countryFrom, cityFrom, zipTo, countryTo, cityTo, weight, unitMeasure, errMessage)

	dim okSucces
	dim xmlRequest, xmlResponse, xmlConnection, xmlDoc
	dim listMethods, method, methodSelected, subListMethods, subMethod, subMethodSelected, methodPrice

	dim upsWeight
	
	setlocale("en-us")
	if packageType = "01" then 'letter
		upsWeight = 0
	else
		upsWeight = weight
	end if

	' -------------------------------- create xml string -----------------------------------
	xmlRequest = ""
	xmlRequest = xmlRequest & "<?xml version=""1.0""?>" & vbcrlf
	xmlRequest = xmlRequest & "<AccessRequest xml:lang=""en-US"">" & vbcrlf
	xmlRequest = xmlRequest & "<AccessLicenseNumber>"&licenceNumber&"</AccessLicenseNumber>" & vbcrlf
	xmlRequest = xmlRequest & "<UserId>"&userID&"</UserId>" & vbcrlf
	xmlRequest = xmlRequest & "<Password>"&password&"</Password>" & vbcrlf
	xmlRequest = xmlRequest & "</AccessRequest>" & vbcrlf
	xmlRequest = xmlRequest & "<?xml version=""1.0""?>" & vbcrlf
	xmlRequest = xmlRequest & "<RatingServiceSelectionRequest xml:lang=""en-US"">" & vbcrlf
	xmlRequest = xmlRequest & "	<Request>" & vbcrlf
	xmlRequest = xmlRequest & "		<RequestAction>Rate</RequestAction>" & vbcrlf
	xmlRequest = xmlRequest & "		<RequestOption>shop</RequestOption>" & vbcrlf
	xmlRequest = xmlRequest & "	</Request>" & vbcrlf
	xmlRequest = xmlRequest & "	<PickupType>" & vbcrlf
	xmlRequest = xmlRequest & "		<Code>"&pickupType&"</Code>" & vbcrlf
	xmlRequest = xmlRequest & "	</PickupType>" & vbcrlf
	xmlRequest = xmlRequest & "	<Shipment>" & vbcrlf
	xmlRequest = xmlRequest & "		<Shipper>" & vbcrlf
	xmlRequest = xmlRequest & "			<Address>" & vbcrlf
	xmlRequest = xmlRequest & "				<City>"&cityTo&"</City>" & vbcrlf 'Optional if zip is not recognized
	xmlRequest = xmlRequest & "				<PostalCode>"&zipTo&"</PostalCode>" & vbcrlf
	xmlRequest = xmlRequest & "				<CountryCode>"&countryTo&"</CountryCode>" & vbcrlf 'Optional
	xmlRequest = xmlRequest & "			</Address>" & vbcrlf
	xmlRequest = xmlRequest & "		</Shipper>" & vbcrlf
	xmlRequest = xmlRequest & "		<ShipTo>" & vbcrlf
	xmlRequest = xmlRequest & "			<Address>" & vbcrlf
	xmlRequest = xmlRequest & "				<City>"&cityTo&"</City>" & vbcrlf 'Mandatory, if zip code is not recognized
	xmlRequest = xmlRequest & "				<PostalCode>"&zipTo&"</PostalCode>" & vbcrlf 
	xmlRequest = xmlRequest & "				<CountryCode>"&countryTo&"</CountryCode>" & vbcrlf 
	xmlRequest = xmlRequest & "			</Address>" & vbcrlf
	xmlRequest = xmlRequest & "		</ShipTo>" & vbcrlf
	xmlRequest = xmlRequest & "		<ShipFrom>" & vbcrlf
	xmlRequest = xmlRequest & "			<Address>" & vbcrlf
	xmlRequest = xmlRequest & "				<City>"&cityFrom&"</City>" & vbcrlf 'Optional if zip is not recognized
	xmlRequest = xmlRequest & "				<PostalCode>"&zipFrom&"</PostalCode>" & vbcrlf
	xmlRequest = xmlRequest & "				<CountryCode>"&countryFrom&"</CountryCode>" & vbcrlf 'Mandatory
	xmlRequest = xmlRequest & "			</Address>" & vbcrlf
	xmlRequest = xmlRequest & "		</ShipFrom>" & vbcrlf

	xmlRequest = xmlRequest & "		<Package>" & vbcrlf 'One ore more packages
	xmlRequest = xmlRequest & "			<PackagingType>" & vbcrlf
	xmlRequest = xmlRequest & "				<Code>"&packageType&"</Code>" & vbcrlf
	xmlRequest = xmlRequest & "			</PackagingType>" & vbcrlf
	xmlRequest = xmlRequest & "			<PackageWeight>" & vbcrlf
	xmlRequest = xmlRequest & "				<UnitOfMeasurement>" & vbcrlf 
	xmlRequest = xmlRequest & "					<Code>"&ucase(unitMeasure)&"</Code>" & vbcrlf
	xmlRequest = xmlRequest & "				</UnitOfMeasurement>" & vbcrlf
	xmlRequest = xmlRequest & "				<Weight>"&weight&"</Weight>" & vbcrlf
	xmlRequest = xmlRequest & "			</PackageWeight>" & vbcrlf
	xmlRequest = xmlRequest & "		</Package>" & vbcrlf
	xmlRequest = xmlRequest & "	</Shipment>" & vbcrlf
	xmlRequest = xmlRequest & "</RatingServiceSelectionRequest>" & vbcrlf
	
	on error resume next
	set xmlConnection = Server.CreateObject("Msxml2.serverXmlHttp")
	xmlConnection.open "POST", serverAddress, false
	xmlConnection.setRequestHeader "Content-Type", "application/x-www-form-urlencoded"
	xmlConnection.send xmlRequest
	xmlResponse = xmlConnection.responseText
	if err.number <> 0 then
		set xmlConnection = nothing
		calculateUps = false
		errMessage = "Unable to connect to UPS Server"
		setlocale(storeLocaleID)
		exit function
	end if

	setlocale(storeLocaleID)
	'------------------------- parsing XML response from UPS Server ----------------------------
	okSucces = true
	Set xmlDoc = Server.CreateObject("Msxml2.DOMDocument")
	xmlDoc.loadxml(xmlResponse)
	if xmlDoc.getElementsByTagName("Error").length = 0 then 'Succes
		on error resume next
		set listMethods = xmlDoc.getElementsByTagName("RatedShipment")
		for each method in listMethods
			for each methodSelected in method.childNodes
				select case methodSelected.nodename
				case "Service"
					if listShippingMethods = "" then
						listShippingMethods = "UPS - " &returnUPSMethod(methodSelected.text)
					else
						listShippingMethods = listShippingMethods&"," &"UPS - "&returnUPSMethod(methodSelected.text)
					end if
				case "TotalCharges"
					for each subMethodSelected in methodSelected.childNodes
						select case subMethodSelected.nodename
						case "CurrencyCode"
							if listShippingCurrencies = "" then
								listShippingCurrencies = subMethodSelected.text
							else
								listShippingCurrencies = listShippingCurrencies & "}" & subMethodSelected.text
							end if
						case "MonetaryValue"
							methodPrice = replace(subMethodSelected.text, ".", getDecimalChar)
							if listShippingPrices = "" then
								listShippingPrices = methodPrice
							else
								listShippingPrices = listShippingPrices & "}" & methodPrice
							end if
						end select
					next
				end select
			next
		next
		if err.number <> 0 then
			okSucces = false
			errMessage = "Unexpected errors occurs when parsing the result from UPS Server !"
		end if
		set listMethods = nothing
	else 'Error
		set listMethods = xmlDoc.getElementsByTagName("Error")
		for each method in listMethods
			for each methodSelected in method.childNodes
				if methodSelected.nodename = "ErrorDescription" then
					errMessage = methodSelected.text
				end if
			next
		next
		okSucces = false
		set listMethods = nothing
	end if
	set xmlDoc = nothing
	set xmlConnection = nothing
	calculateUps = okSucces

end function
'---------------------------------------------------------------------------
function calculateUsps(serverAddress, userID, password, zipFrom, countryFrom, zipTo, countryTo, weight, errMessage)

	dim okSucces, okDomestic
	dim uspsCountry
	dim xmlRequest, xmlResponse, xmlConnection, xmlDoc
	dim listMethods, method, methodSelected, subListMethods, subMethod, subMethodSelected, methodPrice

	setlocale("en-us")
	' -------------------------------- create xml string -----------------------------------
	if ucase(countryTo) = "US" then 'Domestic Rates
		okDomestic = true
		xmlRequest = serverAddress & "?API=Rate&XML="
		xmlRequest = xmlRequest & "<RateRequest USERID="""&userID&""" PASSWORD="""&password&""">" & vbcrlf
		xmlRequest = xmlRequest & "	<Package ID=""0"">" & vbcrlf
		xmlRequest = xmlRequest & "		<Service>EXPRESS</Service>" & vbcrlf
		xmlRequest = xmlRequest & "		<ZipOrigination>"&zipFrom&"</ZipOrigination>" & vbcrlf
		xmlRequest = xmlRequest & "		<ZipDestination>"&zipTo&"</ZipDestination>" & vbcrlf
		xmlRequest = xmlRequest & "		<Pounds>"&weight&"</Pounds>" & vbcrlf
		xmlRequest = xmlRequest & "		<Ounces>0</Ounces>" & vbcrlf
		xmlRequest = xmlRequest & "		<Container>None</Container>" & vbcrlf
		xmlRequest = xmlRequest & "		<Size>Regular</Size>" & vbcrlf
		xmlRequest = xmlRequest & "		<Machinable>False</Machinable>" & vbcrlf
		xmlRequest = xmlRequest & "	</Package>" & vbcrlf
		xmlRequest = xmlRequest & "	<Package ID=""1"">" & vbcrlf
		xmlRequest = xmlRequest & "		<Service>PRIORITY</Service>" & vbcrlf
		xmlRequest = xmlRequest & "		<ZipOrigination>"&zipFrom&"</ZipOrigination>" & vbcrlf
		xmlRequest = xmlRequest & "		<ZipDestination>"&zipTo&"</ZipDestination>" & vbcrlf
		xmlRequest = xmlRequest & "		<Pounds>"&weight&"</Pounds>" & vbcrlf
		xmlRequest = xmlRequest & "		<Ounces>0</Ounces>" & vbcrlf
		xmlRequest = xmlRequest & "		<Container>None</Container>" & vbcrlf
		xmlRequest = xmlRequest & "		<Size>Regular</Size>" & vbcrlf
		xmlRequest = xmlRequest & "		<Machinable>False</Machinable>" & vbcrlf
		xmlRequest = xmlRequest & "	</Package>" & vbcrlf
		xmlRequest = xmlRequest & "	<Package ID=""2"">" & vbcrlf
		xmlRequest = xmlRequest & "		<Service>PARCEL</Service>" & vbcrlf
		xmlRequest = xmlRequest & "		<ZipOrigination>"&zipFrom&"</ZipOrigination>" & vbcrlf
		xmlRequest = xmlRequest & "		<ZipDestination>"&zipTo&"</ZipDestination>" & vbcrlf
		xmlRequest = xmlRequest & "		<Pounds>"&weight&"</Pounds>" & vbcrlf
		xmlRequest = xmlRequest & "		<Ounces>0</Ounces>" & vbcrlf
		xmlRequest = xmlRequest & "		<Container>None</Container>" & vbcrlf
		xmlRequest = xmlRequest & "		<Size>Regular</Size>" & vbcrlf
		xmlRequest = xmlRequest & "		<Machinable>False</Machinable>" & vbcrlf
		xmlRequest = xmlRequest & "	</Package>" & vbcrlf
		xmlRequest = xmlRequest & "</RateRequest>"
	else 'International rates
		okDomestic = false
		if not returnUSPSCountry(countryTo, uspsCountry) then
			calculateUsps = false
			errMessage = "The destination country are not accepted by USPS"
			exit function
		end if
		xmlRequest = serverAddress & "?API=IntlRate&XML="
		xmlRequest = xmlRequest & "<IntlRateRequest USERID="""&userID&""" PASSWORD="""&password&""">" & vbcrlf
		xmlRequest = xmlRequest & "	<Package ID=""0"">" & vbcrlf
		xmlRequest = xmlRequest & "		<Pounds>"&weight&"</Pounds>" & vbcrlf
		xmlRequest = xmlRequest & "		<Ounces>0</Ounces>" & vbcrlf
		xmlRequest = xmlRequest & "		<MailType>Package</MailType>" & vbcrlf
		xmlRequest = xmlRequest & "		<Country>"&uspsCountry&"</Country>" & vbcrlf
		xmlRequest = xmlRequest & "	</Package>" & vbcrlf
		xmlRequest = xmlRequest & "</IntlRateRequest>"
	end if

	' -------------------------- Send the request to the server ----------------------------
	on error resume next
	set xmlConnection = Server.CreateObject("Msxml2.serverXmlHttp")
	xmlConnection.open "GET", xmlRequest, False
	xmlConnection.send
	xmlResponse = xmlConnection.responseText
	if err.number <> 0 then
		set xmlConnection = nothing
		calculateUsps = false
		errMessage = "Unable to connect to USPS Server"
		setlocale(storeLocaleID)
		exit function
	end if

	setlocale(storeLocaleID)
	'------------------------- parsing XML response from USPS Server ----------------------------
	okSucces = true
	Set xmlDoc = Server.CreateObject("Msxml2.DOMDocument")
	xmlDoc.loadxml(xmlResponse)
	if xmlDoc.getElementsByTagName("Error").length = 0 then 'Succes
		if okDomestic then 'Domestic rates
			set listMethods = xmlDoc.getElementsByTagName("Package")
		else 'International rates
			set listMethods = xmlDoc.getElementsByTagName("Service")
		end if
		for each method in listMethods
			for each methodSelected in method.childNodes
				select case methodSelected.nodeName
				case "Service"
					if okDomestic then
						if listShippingMethods = "" then
							listShippingMethods = "USPS - "&methodSelected.text
						else
							listShippingMethods = listShippingMethods &","&"USPS - "&methodSelected.text
						end if
					end if
				case "SvcDescription"
					if not okDomestic then
						if listShippingMethods = "" then
							listShippingMethods = "USPS - "&methodSelected.text
						else
							listShippingMethods = listShippingMethods &","&"USPS - "&methodSelected.text
						end if
					end if
				case "Postage"
					methodPrice = replace(methodSelected.text, ".", getDecimalChar)
					if listShippingPrices = "" then
						listShippingPrices = methodPrice
					else
						listShippingPrices = listShippingPrices&"}"&methodPrice
					end if
				end select
			next
		next
	else 'Error
		set listMethods = xmlDoc.getElementsByTagName("Error")
		for each method in listMethods
			for each methodSelected in method.childNodes
				if methodSelected.nodename = "Description" then
					errMessage = methodSelected.text
				end if
			next
		next
		okSucces = false
		set listMethods = nothing
	end if
	set xmlDoc = nothing
	set xmlConnection = nothing
	calculateUsps = okSucces

end function
'---------------------------------------------------------------------------
function calculateFeDex(serverAddress, accountNumber, meterNumber, carrierCode, dropoffType, service, packaging, zipFrom, countryFrom, regionFrom, zipTo, countryTo, regionTo, weight, unitMeasure, errMessage)

	dim okSucces
	dim myServiceList, count, myServiceMethodName
	dim xmlRequest, xmlResponse

	myServiceList = split(service, ",")
	for count = 0 to ubound(myServiceList)
		myServiceMethodName = returnFedexMethod(myServiceList(count))
		xmlRequest = createFedexXML(accountNumber, meterNumber, carrierCode, dropoffType, myServiceList(count), packaging, zipFrom, countryFrom, regionFrom, zipTo, countryTo, regionTo, weight, unitMeasure)
		if fedexConnect(serverAddress, xmlRequest, xmlResponse, errMessage, myServiceMethodName) then
			call fedexResponse(xmlResponse, carrierCode, myServiceMethodName, errMessage)
		end if
	next
	okSucces = true
	if errMessage <> "" then
		if listShippingMethods = "" or listShippingPrices = "" then
			okSucces = false
		end if
	end if
	calculateFeDex = okSucces
end function
'---------------------------------------------------------------------------

'--------------------------- Auxiliar functions-----------------------------
'---------------------------------- UPS ------------------------------------
function returnUPSMethod(shippingCode)

	dim shippingMethod
	select case shippingCode
		case "01"
			shippingMethod = "Next Day Air"
		case "02"
			shippingMethod = "2nd Day Air"
		case "03"
			shippingMethod = "Ground"
		case "07"
			shippingMethod = "Worldwide Express"
		case "08"
			shippingMethod = "Worldwide Expedited"
		case "11"
			shippingMethod = "Standard"
		case "12"
			shippingMethod = "3-Day Select"
		case "13"
			shippingMethod = "Next Day Air Saver"
		case "14"
			shippingMethod = "Next Day Air Early AM"
		case "54"
			shippingMethod = "Worldwide Express Plus"
		case "59"
			shippingMethod = "2nd Day Air AM"
		case "65"
			shippingMethod = "Express Saver"
	end select
	returnUPSMethod = shippingMethod

end function
'---------------------------------------------------------------------------
'---------------------------------- USPS -----------------------------------
function returnUSPSCountry(countryCode, country)
	dim storeRS, sqlString
	dim testFromDatabase
	
	testFromDatabase = true
	if countryCode = "FR" then
		country = "France"
		testFromDatabase = false
	end if
	if testFromDatabase then
		set storeRS = Server.CreateObject("ADODB.Recordset")
		sqlString = "select country from systemCountries where countryCode = '"&countryCode&"'"
		storeRS.open sqlString, storeConn, 1, 1
		if storeRS.eof then
			storeRS.close
			set storeRS = nothing
			returnUSPSCountry = false
			exit function
		end if
		country = storeRS("country")
		storeRS.close
		set storeRS = nothing
	end if
	returnUSPSCountry = true
end function
'---------------------------------------------------------------------------
'---------------------------------- FeDex ----------------------------------
function createFedexXML(accountNumber, meterNumber, carrierCode, dropoffType, service, packaging, zipFrom, countryFrom, regionFrom, zipTo, countryTo, regionTo, weight, unitMeasure)

	setlocale("en-us")
	dim xmlRequest
	xmlRequest = xmlRequest & "<?xml version=""1.0"" encoding=""UTF-8"" ?>" &vbcrlf
	xmlRequest = xmlRequest & "<FDXRateRequest xmlns:api=""http://www.fedex.com/fsmapi""" & vbcrlf
	xmlRequest = xmlRequest & "xmlns:xsi=""http://www.w3.org/2001/XMLSchema-instance""" &vbcrlf
	xmlRequest = xmlRequest & "xsi:noNamespaceSchemaLocation=""FDXRateRequest.xsd"">" &vbcrlf
	xmlRequest = xmlRequest & "<RequestHeader>" &vbcrlf
	xmlRequest = xmlRequest & "<CustomerTransactionIdentifier>CTIString</CustomerTransactionIdentifier>" &vbcrlf
	xmlRequest = xmlRequest & "<AccountNumber>"&accountNumber&"</AccountNumber>" &vbcrlf
	xmlRequest = xmlRequest & "<MeterNumber>"&meterNumber&"</MeterNumber>" &vbcrlf
	xmlRequest = xmlRequest & "<CarrierCode>"&carrierCode&"</CarrierCode>" &vbcrlf
	xmlRequest = xmlRequest & "</RequestHeader>" &vbcrlf
	xmlRequest = xmlRequest & "<ShipDate>"&returnFedexDate(now())&"</ShipDate>" &vbcrlf
	xmlRequest = xmlRequest & "<DropoffType>"&dropoffType&"</DropoffType>" &vbcrlf
	xmlRequest = xmlRequest & "<Service>"&service&"</Service>" &vbcrlf
	xmlRequest = xmlRequest & "<Packaging>"&packaging&"</Packaging>" &vbcrlf
	xmlRequest = xmlRequest & "<WeightUnits>"&ucase(unitMeasure)&"</WeightUnits>" &vbcrlf
	xmlRequest = xmlRequest & "<Weight>"&weight&"</Weight>" &vbcrlf
	xmlRequest = xmlRequest & "<OriginAddress>" &vbcrlf
	xmlRequest = xmlRequest & "<StateOrProvinceCode>"&regionFrom&"</StateOrProvinceCode>" &vbcrlf
	xmlRequest = xmlRequest & "<PostalCode>"&zipFrom&"</PostalCode>" &vbcrlf
	xmlRequest = xmlRequest & "<CountryCode>"&countryFrom&"</CountryCode>" &vbcrlf
	xmlRequest = xmlRequest & "</OriginAddress>" &vbcrlf
	xmlRequest = xmlRequest & "<DestinationAddress>" &vbcrlf
	xmlRequest = xmlRequest & "<StateOrProvinceCode>"&regionTo&"</StateOrProvinceCode>" &vbcrlf
	xmlRequest = xmlRequest & "<PostalCode>"&zipTo&"</PostalCode>" &vbcrlf
	xmlRequest = xmlRequest & "<CountryCode>"&countryTo&"</CountryCode>" &vbcrlf
	xmlRequest = xmlRequest & "</DestinationAddress>" &vbcrlf
	xmlRequest = xmlRequest & "<Payment>" &vbcrlf
	xmlRequest = xmlRequest & "<PayorType>SENDER</PayorType>" &vbcrlf
	xmlRequest = xmlRequest & "</Payment>" &vbcrlf
	xmlRequest = xmlRequest & "<PackageCount>1</PackageCount>" &vbcrlf
	xmlRequest = xmlRequest & "</FDXRateRequest>" &vbcrlf
	createFedexXML = xmlRequest
	
end function
'---------------------------------------------------------------------------
function fedexConnect(serverAddress, xmlRequest, xmlResponse, errMessage, serviceMethod)
	dim xmlConnection

	on error resume next
	set xmlConnection = Server.CreateObject("Msxml2.serverXmlHttp")
	xmlConnection.open "POST", serverAddress, false
	xmlConnection.setRequestHeader "Content-Type", "application/x-www-form-urlencoded"
	xmlConnection.send xmlRequest
	xmlResponse = xmlConnection.responseText
	if err.number <> 0 then
		fedexConnect = false
		errMessage = errMessage &serviceMethod &" - Unable to connect to FeDex Server<br>"
	else
		fedexConnect = true
	end if
	set xmlConnection = nothing
	setlocale(storeLocaleID)

end function
'---------------------------------------------------------------------------
sub fedexResponse(xmlResponse, carrierCode, methodName, errMessage)

	dim xmlDoc
	dim listMethods, method, methodSelected, methodPrice
	
	'------------------------- parsing XML response from FeDex Server ----------------------------
	on error resume next
	Set xmlDoc = Server.CreateObject("Msxml2.DOMDocument")
	xmlDoc.loadxml(xmlResponse)
	if xmlDoc.getElementsByTagName("Error").length = 0 then 'Succes
		if carrierCode = "FDXE" then
			set listMethods = xmlDoc.getElementsByTagName("DiscountedCharges")
		else
			set listMethods = xmlDoc.getElementsByTagName("ListCharges")
		end if
		for each method in listMethods
			for each methodSelected in method.childNodes
				select case methodSelected.nodename
				case "NetCharge"
					if listShippingMethods = "" then
						listShippingMethods = methodName
					else
						listShippingMethods = listShippingMethods&"," &methodName
					end if
					methodPrice = replace(methodSelected.text, ".", getDecimalChar)
					if listShippingPrices = "" then
						listShippingPrices = methodPrice
					else
						listShippingPrices = listShippingPrices & "}" & methodPrice
					end if
				end select
			next
		next
		if err.number <> 0 then
			errMessage = errMessage &methodName &" - Unexpected errors occurs when parsing the result from UPS Server !<br>"
		end if
		set listMethods = nothing
	else 'Error
		set listMethods = xmlDoc.getElementsByTagName("Error")
		for each method in listMethods
			for each methodSelected in method.childNodes
				if methodSelected.nodename = "Message" then
					errMessage = errMessage & methodName & " - " &methodSelected.text &"<br>"
				end if
			next
		next
		set listMethods = nothing
	end if
	set xmlDoc = nothing
	
end sub
'---------------------------------------------------------------------------
function returnFedexMethod(service)
	dim theMethod
	select case service
	case "PRIORITYOVERNIGHT"
		theMethod = "Fedex Priority Overnight"
	case "STANDARDOVERNIGHT"
		theMethod = "Fedex Standard Overnight"
	case "FIRSTOVERNIGHT"
		theMethod = "Fedex First Overnight"
	case "FEDEX2DAY"
		theMethod = "Fedex 2 Day"
	case "FEDEXEXPRESSSAVER"
		theMethod = "Fedex Express Saver"
	case "INTERNATIONALPRIORITY"
		theMethod = "Fedex International Priority"
	case "INTERNATIONALECONOMY"
		theMethod = "Fedex International Economy"
	case "INTERNATIONALFIRST"
		theMethod = "Fedex International First"
	case "FEDEX1DAYFREIGHT"
		theMethod = "Fedex 1 Day Freight"
	case "FEDEX2DAYFREIGHT"
		theMethod = "Fedex 2 Day Freight"
	case "FEDEX3DAYFREIGHT"
		theMethod = "Fedex 3 Day Freight"
	case "FEDEXGROUND"
		theMethod = "Fedex Ground"
	case "GROUNDHOMEDELIVERY"
		theMethod = "Fedex Ground Home Delivery"
	case "INTERNATIONALPRIORITYFREIGHT"
		theMethod = "Fedex International Priority Freight"
	case "INTERNATIONALECONOMYFREIGHT"
		theMethod = "Fedex International Economy Freight"
	end select
	
	returnFedexMethod = theMethod

end function
'---------------------------------------------------------------------------
function returnFedexDate(theDate)
	dim myDate, myYear, myDay, myMonth
	myYear = cstr(year(theDate))
	if len(myYear) = 2 then
		myYear = "20"&myYear
	end if
	myMonth = cstr(month(theDate))
	if len(myMonth) = 1 then
		myMonth = "0"&myMonth
	end if
	myDay = cstr(day(theDate))
	if len(myDay) = 1 then
		myDay = "0"&myDay
	end if
	myDate = myYear & "-" &myMonth& "-" &myDay
	returnFedexDate = myDate
	
end function

%>